package com.uavps.system.domain.dto;

import java.math.BigDecimal;

public class FixedMultiTargetFormationDTO {
    private Integer targetTotal;
    private BigDecimal longitude;
    private BigDecimal latitude;
    private BigDecimal altitude;
    private BigDecimal eastSpeed;
    private BigDecimal northSpeed;
    private BigDecimal skySpeed;
    private String flightPathType;
    private String formationShape;
    private BigDecimal followAircraftDistance;

    public Integer getTargetTotal() {
        return targetTotal;
    }

    public void setTargetTotal(Integer targetTotal) {
        this.targetTotal = targetTotal;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public BigDecimal getAltitude() {
        return altitude;
    }

    public void setAltitude(BigDecimal altitude) {
        this.altitude = altitude;
    }

    public BigDecimal getEastSpeed() {
        return eastSpeed;
    }

    public void setEastSpeed(BigDecimal eastSpeed) {
        this.eastSpeed = eastSpeed;
    }

    public BigDecimal getNorthSpeed() {
        return northSpeed;
    }

    public void setNorthSpeed(BigDecimal northSpeed) {
        this.northSpeed = northSpeed;
    }

    public BigDecimal getSkySpeed() {
        return skySpeed;
    }

    public void setSkySpeed(BigDecimal skySpeed) {
        this.skySpeed = skySpeed;
    }

    public String getFlightPathType() {
        return flightPathType;
    }

    public void setFlightPathType(String flightPathType) {
        this.flightPathType = flightPathType;
    }

    public String getFormationShape() {
        return formationShape;
    }

    public void setFormationShape(String formationShape) {
        this.formationShape = formationShape;
    }

    public BigDecimal getFollowAircraftDistance() {
        return followAircraftDistance;
    }

    public void setFollowAircraftDistance(BigDecimal followAircraftDistance) {
        this.followAircraftDistance = followAircraftDistance;
    }

    @Override
    public String toString() {
        return "FixedMultiTargetFormationDTO{" +
                "targetTotal=" + targetTotal +
                ", longitude=" + longitude +
                ", latitude=" + latitude +
                ", altitude=" + altitude +
                ", eastSpeed=" + eastSpeed +
                ", northSpeed=" + northSpeed +
                ", skySpeed=" + skySpeed +
                ", flightPathType='" + flightPathType + '\'' +
                ", formationShape='" + formationShape + '\'' +
                ", followAircraftDistance=" + followAircraftDistance +
                '}';
    }
}
